Bug 451727 - Fd leak, uninitialized memory
Fd leak, uninitialized memory
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: libraw1394 (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Jarod Wilson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-16 19:57 EDT by Philippe Troin
Modified: 2008-06-20 15:06 EDT (History)
0 users

See Also:
Fixed In Version: 1.3.0-7.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-06-20 15:04:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
Patch fixing the problems. (3.00 KB, patch)
2008-06-16 19:57 EDT, Philippe Troin
no flags Details | Diff

  None (edit)
Description Philippe Troin 2008-06-16 19:57:43 EDT
While trying to track down some crashes in kino, I found the following problems
with libraw1394:

 * There is a DIR* leak in raw1394_set_port().
 * Lots of data structures are not fully initialized when calling IEEE1394
ioctl()s.  These cause valgrind errors (benign, as valgrind does not know how to
interpret all ioctls.  However these also cause kino to crash in libraw1394. 
I've added a bunch of memset()s to prevent this problem from happening.

Phil.
Comment 1 Philippe Troin 2008-06-16 19:57:43 EDT
Created attachment 309552 [details]
Patch fixing the problems.
Comment 2 Jarod Wilson 2008-06-17 11:12:10 EDT
Phil, thanks much for the patch, I'm going to submit it upstream with
attribution to you, unless you object. Will also get it patched into the Fedora
libraw1394 builds ASAP.
Comment 3 Fedora Update System 2008-06-17 11:54:50 EDT
libraw1394-1.3.0-7.fc9 has been submitted as an update for Fedora 9
Comment 4 Fedora Update System 2008-06-17 11:55:41 EDT
libraw1394-1.3.0-7.fc8 has been submitted as an update for Fedora 8
Comment 5 Jarod Wilson 2008-06-17 15:34:03 EDT
Meh. Patch is already public in the bz, I went ahead and sent it upstream on
your behalf, as Dan Dennedy already mentioned on the kino-dev list. Definitely
an improvement, thanks again!
Comment 6 Fedora Update System 2008-06-20 15:04:25 EDT
libraw1394-1.3.0-7.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2008-06-20 15:06:32 EDT
libraw1394-1.3.0-7.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.